# Search

## Find similar URLs

> Returns URLs semantically similar to a given URL using vector similarity search.

```json
{"openapi":"3.0.2","info":{"title":"Semble API","version":"1.0.0"},"servers":[{"url":"https://api.semble.so/xrpc"}],"paths":{"/network.cosmik.search.getSimilarUrls":{"get":{"description":"Returns URLs semantically similar to a given URL using vector similarity search.","summary":"Find similar URLs","tags":["search"],"parameters":[{"name":"page","in":"query","schema":{"type":"number","nullable":true}},{"name":"limit","in":"query","schema":{"type":"number","nullable":true}},{"name":"sortBy","in":"query","schema":{"type":"string"}},{"name":"sortOrder","in":"query","schema":{"type":"string","enum":["asc","desc"]}},{"name":"url","in":"query","required":true,"schema":{"type":"string"}},{"name":"threshold","in":"query","schema":{"type":"number","nullable":true}},{"name":"urlType","in":"query","schema":{"type":"string","enum":["article","link","book","research","audio","video","social","event","software"]}}],"operationId":"similarUrls","responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"urls":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"metadata":{"type":"object","properties":{"url":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"author":{"type":"string"},"publishedDate":{"type":"string"},"siteName":{"type":"string"},"imageUrl":{"type":"string"},"type":{"type":"string"},"retrievedAt":{"type":"string"},"doi":{"type":"string"},"isbn":{"type":"string"}},"required":["url"]},"urlLibraryCount":{"type":"number"},"urlInLibrary":{"type":"boolean"},"urlConnectionCount":{"type":"number"},"urlIsConnected":{"type":"boolean"}},"required":["url","metadata","urlLibraryCount"]}},"pagination":{"type":"object","properties":{"currentPage":{"type":"number"},"totalPages":{"type":"number"},"totalCount":{"type":"number"},"hasMore":{"type":"boolean"},"limit":{"type":"number"}},"required":["currentPage","totalPages","totalCount","hasMore","limit"]}},"required":["urls","pagination"]}}}}}}}}}
```

## Semantic search

> Returns URLs matching a natural-language query using vector search, optionally scoped to a user.

```json
{"openapi":"3.0.2","info":{"title":"Semble API","version":"1.0.0"},"servers":[{"url":"https://api.semble.so/xrpc"}],"paths":{"/network.cosmik.search.semantic":{"get":{"description":"Returns URLs matching a natural-language query using vector search, optionally scoped to a user.","summary":"Semantic search","tags":["search"],"parameters":[{"name":"page","in":"query","schema":{"type":"number","nullable":true}},{"name":"limit","in":"query","schema":{"type":"number","nullable":true}},{"name":"sortBy","in":"query","schema":{"type":"string"}},{"name":"sortOrder","in":"query","schema":{"type":"string","enum":["asc","desc"]}},{"name":"query","in":"query","required":true,"schema":{"type":"string"}},{"name":"threshold","in":"query","schema":{"type":"number","nullable":true}},{"name":"urlType","in":"query","schema":{"type":"string","enum":["article","link","book","research","audio","video","social","event","software"]}},{"name":"identifier","in":"query","schema":{"type":"string"}}],"operationId":"semantic","responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"urls":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"metadata":{"type":"object","properties":{"url":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"author":{"type":"string"},"publishedDate":{"type":"string"},"siteName":{"type":"string"},"imageUrl":{"type":"string"},"type":{"type":"string"},"retrievedAt":{"type":"string"},"doi":{"type":"string"},"isbn":{"type":"string"}},"required":["url"]},"urlLibraryCount":{"type":"number"},"urlInLibrary":{"type":"boolean"},"urlConnectionCount":{"type":"number"},"urlIsConnected":{"type":"boolean"}},"required":["url","metadata","urlLibraryCount"]}},"pagination":{"type":"object","properties":{"currentPage":{"type":"number"},"totalPages":{"type":"number"},"totalCount":{"type":"number"},"hasMore":{"type":"boolean"},"limit":{"type":"number"}},"required":["currentPage","totalPages","totalCount","hasMore","limit"]}},"required":["urls","pagination"]}}}}}}}}}
```

## Search AT Protocol accounts

> Searches for AT Protocol user accounts by handle or display name.

```json
{"openapi":"3.0.2","info":{"title":"Semble API","version":"1.0.0"},"servers":[{"url":"https://api.semble.so/xrpc"}],"paths":{"/network.cosmik.search.getAccounts":{"get":{"description":"Searches for AT Protocol user accounts by handle or display name.","summary":"Search AT Protocol accounts","tags":["search"],"parameters":[{"name":"term","in":"query","schema":{"type":"string"}},{"name":"q","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"number","nullable":true}},{"name":"cursor","in":"query","schema":{"type":"string"}}],"operationId":"atProtoAccounts","responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"cursor":{"type":"string"},"actors":{"type":"array","items":{"type":"object","properties":{"did":{"type":"string"},"handle":{"type":"string"},"displayName":{"type":"string"},"description":{"type":"string"},"avatar":{"type":"string"},"associated":{"type":"object","properties":{"chat":{"type":"object","properties":{"allowIncoming":{"type":"string","enum":["all","none","following"]}},"required":["allowIncoming"]}}},"indexedAt":{"type":"string"},"createdAt":{"type":"string"},"viewer":{"type":"object","properties":{"muted":{"type":"boolean"},"blockedBy":{"type":"boolean"},"blocking":{"type":"string"},"following":{"type":"string"},"followedBy":{"type":"string"}}},"labels":{"type":"array","items":{"nullable":true}},"verification":{"nullable":true},"status":{"nullable":true}},"required":["did","handle"]}}},"required":["actors"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cosmik.network/semble-api/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
